package com.dxhy.erp.entity.alltax;

import com.dxhy.common.utils.SpringContextUtils;
import com.dxhy.erp.service.AllTaxesSaleService;
import com.dxhy.erp.service.AllTaxesService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @author futianhao
 */
@Component
public class AllSaleTaxes {

    private static final Logger logger = LoggerFactory.getLogger(AllSaleTaxes.class);

    public TaxesSaleRequestInfo taxesRequestInfo;

    public AllSaleTaxes(TaxesSaleRequestInfo taxesRequestInfo) {
        this.taxesRequestInfo = taxesRequestInfo;
    }

    public AllSaleTaxes() {}

    public void start() {
        AllTaxesSaleService allTaxesService = (AllTaxesSaleService)SpringContextUtils.getBean("allTaxesSaleService");
        allTaxesService.countSale(taxesRequestInfo);
    }
}
